package game;

public class Rectangle
{
    private int
        left = 0, top = 0, right = 0, bottom = 0;

    public Rectangle(int _left, int _top, int _right, int _bottom)
    {
        left = _left;
        top = _top;
        right = _right;
        bottom = _bottom;
    }
    public Rectangle(double _left, double _top, double _right, double _bottom)
    {
        left = (int) _left;
        top = (int) _top;
        right = (int) _right;
        bottom = (int) _bottom;
    }
    public Rectangle()
    {
    }

    public int getLeft()
    {
        return left;
    }

    public int getTop()
    {
        return top;
    }

    public int getRight()
    {
        return right;
    }

    public int getBottom()
    {
        return bottom;
    }

    public void setLeft(int _left)
    {
        left = _left;
    }

    public void setTop(int _top)
    {
        top = _top;
    }

    public void setRight(int _right)
    {
        right = _right;
    }

    public void setBottom(int _bottom)
    {
        bottom = _bottom;
    }

    public int getWidth()
    {
        return right-left;
    }

    public int getHeight()
    {
        return bottom-top;
    }

    public void setWidth(int width)
    {
        right = left+width;
    }

    public void setHeight(int height)
    {
        bottom = top+height;
    }

}